package cn.reghao.tnb.user.api.iface;

import cn.reghao.tnb.user.api.dto.ContactDetail;
import cn.reghao.tnb.user.api.dto.UserInfo;

import java.util.List;

/**
 * @author reghao
 * @date 2023-11-30 11:05:57
 */
public interface UserContactService {
    void setOnline(long userId, boolean online);
    List<Long> getOnlineFriends(long userId);
    ContactDetail getContactDetail(long userId);
    UserInfo getUserInfo(long userId);
}
